/*
 * Szegedi Tudományegyetem
 * Informatikai Tanszékcsoport
 * Szoftverfejlesztés Tanszék
 */

#ifndef PNM_MANIPULATION_H
#define PNM_MANIPULATION_H

#include "pnm-type.h"

typedef void (*rgbpic_manipulation_fnc_t)(rgbpic_t*);

void rgbpic_invert(rgbpic_t*);
void rgbpic_invert_R(rgbpic_t*);
void rgbpic_invert_G(rgbpic_t*);
void rgbpic_invert_B(rgbpic_t*);
void rgbpic_mirror_h(rgbpic_t*);
void rgbpic_mirror_v(rgbpic_t*);
void rgbpic_rotate_l(rgbpic_t*);
void rgbpic_mirror_c(rgbpic_t*);
void rgbpic_rotate_r(rgbpic_t*);
void rgbpic_color_RG(rgbpic_t*);
void rgbpic_color_GB(rgbpic_t*);
void rgbpic_color_BR(rgbpic_t*);
void rgbpic_delete_R(rgbpic_t*);
void rgbpic_delete_G(rgbpic_t*);
void rgbpic_delete_B(rgbpic_t*);
void rgbpic_convert_to_grey_avg(rgbpic_t*);
void rgbpic_convert_to_grey_lum(rgbpic_t*);
void rgbpic_convert_R_to_grey(rgbpic_t*);
void rgbpic_convert_G_to_grey(rgbpic_t*);
void rgbpic_convert_B_to_grey(rgbpic_t*);
void rgbpic_convert_to_bw_avg(rgbpic_t*);
void rgbpic_convert_to_bw_lum(rgbpic_t*);

#endif // PNM_MANIPULATION_H
